Class List Method List File List

# Module: Yast::FirewallWizardsInclude

Defined in:
  ../../src/include/firewall/wizards.rb

## Instance Method Summary (collapse)

- - (Object) FirewallAutoSequence

  Whole configuration of firewall.

- - (Object) FirewallInstallationSequence

  Whole configuration of firewall.

- - (Object) FirewallSequence

  Whole configuration of firewall.

- - (Object) initialize_firewall_wizards(include_target)
- - (Object) MainSequence

  Main workflow of the firewall configuration.

## Instance Method Details

### - (`Object`) FirewallAutoSequence

Whole configuration of firewall

Returns:

- (`Object`) —

  returned value from Sequencer::Run() call

    90
    91
    92
    93
    94
    95
    96
    97
    98
    99
    100
    101
    102
    103
    104
    105
    106
    107
    # File '../../src/include/firewall/wizards.rb', line 90

    def FirewallAutoSequence
      aliases = { "main" => lambda { MainSequence() }, "summary" => lambda do
        BoxSummaryDialog()
      end }

      sequence = {
        "ws_start" => "main",
        "main"     => { :abort => :abort, :next => :next }
      }

      Wizard.CreateDialog
      SetFirewallIcon()

      ret = Sequencer.Run(aliases, sequence)

      UI.CloseDialog
      deep_copy(ret)
    end

### - (`Object`) FirewallInstallationSequence

Whole configuration of firewall

Returns:

- (`Object`) —

  returned value from Sequencer::Run() call

    112
    113
    114
    115
    116
    117
    118
    119
    120
    121
    122
    123
    124
    125
    126
    127
    128
    129
    # File '../../src/include/firewall/wizards.rb', line 112

    def FirewallInstallationSequence
      aliases = { "main" => lambda { MainSequence() }, "summary" => lambda do
        BoxSummaryDialog()
      end }

      sequence = {
        "ws_start" => "main",
        "main"     => { :abort => :abort, :next => :next }
      }

      Wizard.CreateDialog
      SetFirewallIcon()

      ret = Sequencer.Run(aliases, sequence)

      UI.CloseDialog
      deep_copy(ret)
    end

### - (`Object`) FirewallSequence

Whole configuration of firewall

Returns:

- (`Object`) —

  returned value from Sequencer::Run() call

    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    71
    72
    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    85
    # File '../../src/include/firewall/wizards.rb', line 61

    def FirewallSequence
      aliases = {
        "read"    => [lambda { ReadDialog() }, true],
        "main"    => lambda { MainSequence() },
        "summary" => lambda { BoxSummaryDialog() },
        "write"   => [lambda { WriteDialog() }, true]
      }

      sequence = {
        "ws_start" => "read",
        "read"     => { :abort => :abort, :next => "main" },
        "main"     => { :abort => :abort, :next => "summary" },
        "summary"  => { :abort => :abort, :next => "write" },
        "write"    => { :abort => :abort, :next => :next }
      }

      Wizard.CreateDialog
      Wizard.SetAbortButton(:abort, Label.CancelButton)
      SetFirewallIcon()

      ret = Sequencer.Run(aliases, sequence)

      UI.CloseDialog
      deep_copy(ret)
    end

### - (`Object`) initialize_firewall_wizards(include_target)

    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    # File '../../src/include/firewall/wizards.rb', line 33

    def initialize_firewall_wizards(include_target)
      Yast.import "UI"
      Yast.import "Wizard"
      Yast.import "Sequencer"
      Yast.import "Label"

      Yast.include include_target, "firewall/complex.rb"
      Yast.include include_target, "firewall/dialogs.rb"
      Yast.include include_target, "firewall/uifunctions.rb"
    end

### - (`Object`) MainSequence

Main workflow of the firewall configuration

Returns:

- (`Object`) —

  returned value from Sequencer::Run() call

    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    # File '../../src/include/firewall/wizards.rb', line 47

    def MainSequence
      aliases = { "configuration" => lambda { RunFirewallDialogs() } }

      sequence = {
        "ws_start"      => "configuration",
        "configuration" => { :abort => :abort, :next => :next }
      }

      Sequencer.Run(aliases, sequence)
    end